/*
/--------------------------------------------------------------------
|
|      $Id$
|
|      Copyright (c) 1996-1998 Ulrich von Zadow
|
\--------------------------------------------------------------------
*/
// not quite ready for prime-time; bdelmee; 2/99

#ifndef INCL_TIFFENC
#define INCL_TIFFENC

#ifndef INCL_PICENC
#include "picenc.h"
#endif

//typedef	struct tiff TIFF;
extern "C"
{
#include "tiffio.h"   /* for the tags definitions */
}

//! TIFF file encoder. Uses LIBTIFF to do the actual conversion.
class CTIFFEncoder : public CPicEncoder
{
DECLARE_DYNAMIC (CTIFFEncoder);

public:
  //! Creates an encoder
  CTIFFEncoder
    ();

  //! Destroys a encoder
  virtual ~CTIFFEncoder
    ();

protected:
  //! Sets up LIBTIFF environment and calls LIBTIFF to encode an image.
  virtual void DoEncode
    ( CBmp* pBmp,
      CDataSink* pDataSnk
    );

  //! this one mostly useful for the "extended" decoder
  virtual void DoTiffEncode
    ( CBmp* pBmp,
      TIFF* tif
    );

  //! According to the characteristics of the given bitmap, 
  //! set the baseline tags 
  int SetBaseTags( TIFF*, CBmp* );

  //! Set tag value in directory; also, "pseudo-tags" are interpreted by 
  //! LIBTIFF as modifiers to certain algorithms (compression....). 
  //! We do _not_ support multiple images by file, nor tiling nor stripping.
  int SetField( TIFF*, int tag_id, ... );
};


#endif  // INCL_TIFFENC
/*
/--------------------------------------------------------------------
|
|      $Log$
|
\--------------------------------------------------------------------
*/
