/*
/--------------------------------------------------------------------
|
|      $Id: FilterDialog.h,v 1.1 1999/10/19 21:33:49 Ulrich von Zadow Exp $
|
\--------------------------------------------------------------------
*/

#if !defined(AFX_FILTERDIALOG_H__68D45661_80F7_11D3_9BDF_0020A9004404__INCLUDED_)
#define AFX_FILTERDIALOG_H__68D45661_80F7_11D3_9BDF_0020A9004404__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CBmp;

class CFilterDialog : public CDialog
{
// Construction
public:
	CFilterDialog (CWnd* pParent, CBmp * pBmp, 
                 const char * pszFilterName, bool bRadiusAllowed);
  int GetWidth();
  int GetHeight();
  double GetRadius();

// Dialog Data
	//{{AFX_DATA(CFilterDialog)
	enum { IDD = IDD_FILTER };
	CButton	m_ConstrainCheck;
	CStatic	m_RadiusStatic;
	CEdit	m_RadiusEdit;
	CStatic	m_NameStatic;
	CEdit	m_HeightEdit;
	CEdit	m_WidthEdit;
	int		m_Height;
	int		m_Width;
	double	m_Radius;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFilterDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CFilterDialog)
	virtual void OnOK();
	afx_msg void OnChangeHeightedit();
	afx_msg void OnChangeWidthedit();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
  CBmp * m_pBmp;
  const char * m_pszFilterName;
  bool m_bRadiusAllowed;
  bool m_bChanging;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FILTERDIALOG_H__68D45661_80F7_11D3_9BDF_0020A9004404__INCLUDED_)

/*
/--------------------------------------------------------------------
|
|      $Log: FilterDialog.h,v $
|      Revision 1.1  1999/10/19 21:33:49  Ulrich von Zadow
|      Added filter support.
|
|
\--------------------------------------------------------------------
*/
