/*
/--------------------------------------------------------------------
|
|      $Id: trace.cpp,v 1.3 1999/10/03 18:50:52 Ulrich von Zadow Exp $
|
|      Copyright (c) 1996-1998 Ulrich von Zadow
|
\--------------------------------------------------------------------
*/
#include "stdpch.h"

#ifdef _DEBUG
#ifndef _WINDOWS

#include <stdarg.h>

void Trace(char * pszFormat, ...)
{
	va_list args;
	va_start(args, pszFormat);

	int nBuf;
	char szBuffer[512];

	nBuf = vsprintf(szBuffer, pszFormat, args);
	ASSERT(nBuf < 512);

  fprintf (stderr, szBuffer);

	va_end(args);
}

#endif //_WINDOWS
#endif //_DEBUG
/*
/--------------------------------------------------------------------
|
|      $Log: trace.cpp,v $
|      Revision 1.3  1999/10/03 18:50:52  Ulrich von Zadow
|      Added automatic logging of changes.
|
|
--------------------------------------------------------------------
*/
